PHTML::InputField Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::InputField:

## Protected Member Functions

| InputField (const char *type, const char *fname, DisableCodes disabled, const char *attr)
virtual | ~InputField ()
virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::FormField
| FormField (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled, const char *fname)
virtual | ~FormField ()
Protected Member Functions inherited from PHTML::FieldElement
| FieldElement (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled)
virtual | ~FieldElement ()
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Additional Inherited Members

Public Member Functions inherited from PHTML::Element
virtual | ~Element ()
Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

## InputField()

PHTML::InputField::InputField | ( | const char * | type,
|  | const char * | fname,
|  | DisableCodes | disabled,
|  | const char * | attr
| ) |  |

protected

## ~InputField()

virtual PHTML::InputField::~InputField | ( |  | ) |

inline protected virtual

References PHTML::Element::AddAttr().

## Member Function Documentation

## AddAttr()

virtual void PHTML::InputField::AddAttr | ( | PHTML & | html | ) | const

protected virtual

Reimplemented from PHTML::FormField.

Reimplemented in PHTML::ResetButton, PHTML::InputImage, PHTML::InputFile, PHTML::InputNumber, PHTML::RadioButton, PHTML::InputText, and PHTML::HiddenField.

The documentation for this class was generated from the following file:

- html.h